/*
 * This file is a part of morm
 * and is distributed under the 2-Clause BSD licence.
 * Author: Tomasz Sowa <t.sowa@ttmath.org>
 */

/*
 * Copyright (c) 2018, Tomasz Sowa
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */

#include "queryresult.h"
#include "utf8/utf8.h"



namespace morm
{

QueryResult::QueryResult()
{
	clear();
	references_count = 0;
}


QueryResult::~QueryResult()
{
	clear();
}


void QueryResult::clear()
{
	result_rows = 0;
	result_cols = 0;
	cur_row = 0;
	status = false;
	error_msg.clear();

	temp_column_name.clear();
}


bool QueryResult::has_db_result()
{
	return false;
}


const char * QueryResult::get_field_string_value(int column_index)
{
	return nullptr;
}


const char * QueryResult::get_field_string_value(const char * column_name)
{
	return nullptr;
}


const char * QueryResult::get_field_string_value(const wchar_t * column_name)
{
	PT::WideToUTF8(column_name, temp_column_name);
	return get_field_string_value(temp_column_name.c_str());
}


int QueryResult::get_column_index(const char * column_name)
{
	return -1;
}


int QueryResult::get_column_index(const wchar_t * column_name)
{
	PT::WideToUTF8(column_name, temp_column_name);
	return get_column_index(temp_column_name.c_str());
}


const char * QueryResult::get_value_from_result(int row, int col)
{
	return nullptr;
}

int QueryResult::get_value_length(int row, int col)
{
	return 0;
}


bool QueryResult::is_null(int row, int col)
{
	return true;
}




} // namespace


